net.sourceforge.pmd.lang.java.ast

## Interface TypeNode

- All Known Implementing Classes:
    AbstractJavaAccessTypeNode, AbstractJavaTypeNode, ASTAdditiveExpression, ASTAllocationExpression, ASTAndExpression, ASTAnnotationTypeDeclaration, ASTBooleanLiteral, ASTCastExpression, ASTClassOrInterfaceDeclaration, ASTClassOrInterfaceType, ASTCompilationUnit, ASTConditionalAndExpression, ASTConditionalExpression, ASTConditionalOrExpression, ASTEnumDeclaration, ASTEqualityExpression, ASTExclusiveOrExpression, ASTExpression, ASTFieldDeclaration, ASTImportDeclaration, ASTInclusiveOrExpression, ASTInstanceOfExpression, ASTLiteral, ASTMarkerAnnotation, ASTMultiplicativeExpression, ASTName, ASTNormalAnnotation, ASTNullLiteral, ASTPostfixExpression, ASTPreDecrementExpression, ASTPreIncrementExpression, ASTPrimaryExpression, ASTPrimaryPrefix, ASTPrimitiveType, ASTReferenceType, ASTRelationalExpression, ASTShiftExpression, ASTSingleMemberAnnotation, ASTStatementExpression, ASTType, ASTTypeDeclaration, ASTUnaryExpression, ASTUnaryExpressionNotPlusMinus, ASTVariableDeclarator, ASTVariableDeclaratorId

      public interface TypeNode

  This interface allows a Java Class to be associtated with a node.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getType()` Get the Java Class associated with this node.
    `void` | `setType(Class<?> type)` Set the Java Class associated with this node.

- - ### Method Detail

    - #### getType

          Class<?> getType()

      Get the Java Class associated with this node.
      Returns:
        The Java Class, may return `null`.

    - #### setType

          void setType(Class<?> type)

      Set the Java Class associated with this node.
      Parameters:
        `type` - A Java Class

Copyright © 2002-2013 InfoEther. All Rights Reserved.